#include <iostream>
#include <fstream>
#include <cstdlib>
#include <ctime>

using namespace std;

ifstream fin("inima.in");
ofstream fout("inima.out");

const int NMAX = 100000 + 1;

int F(int i,int j, int A[])
{
    return min(A[i],A[j]) * (j - i);
}

int main(){
    srand(time(0));

    int n, A[NMAX];

    fin >> n;
    for(int i = 1 ; i <= n ; i ++)
        fin >> A[i];

    /// O(n^2) - 50 puncte
    if(false)
    {
        int max1 = -1;
        for(int i = 1 ; i < n ; i ++)
            for(int j = i + 1;  j <= n ; j ++)
            {
                int x = F(i, j,  A);
                if(x > max1)
                    max1 = x;
            }
        fout << max1 << endl;
    }
    /// O(n) - 100puncte
    if(false)
    {
        int max2 = -1;
        int i = 1, j = n;
        while(i < j)
        {
            if(A[i] < A[j])
            {
                int H = A[i++];
                while(i < j && A[i] <= H)
                    i ++;
            }
            else
            {
                int H = A[j--];
                while(i < j && A[j] <= H)
                    j --;
            }
            max2 = max(max2 , F(i, j,  A));
        }
        fout << max2 << endl;
    }

    /// O(n*log n)  - 100puncte
    if(false)
    {
        int max_st[NMAX], max_dr[NMAX];
        max_st[1] = A[1];
        for(int i = 1; i <= n ; i ++)
            max_st[i] = max(max_st[i-1] , A[i]);
        max_dr[n] = A[n];
        for(int i = n-1 ; i >= 1 ; i --)
            max_dr[i] = max(max_dr[i+1], A[i]);
        int max3 = -1;
        for(int i = 1 ; i <= n ; i ++)
        {
            int k = i; /// cel mai din dreapta indice pentru care max_dr[k] >= A[i]
            int st = i, dr = n;
            while(st <= dr)
            {
                int mij = (st + dr) / 2;
                if(max_dr[mij] >= A[i])
                    k = mij, st = mij + 1;
                else
                    dr = mij - 1;
            }
            int p = i; /// cel mai din stanga indice pentru care max_st[p] >= A[i]
            st = 1, dr = i;
            while(st <= dr)
            {
                int mij = (st + dr) / 2;
                if(max_st[mij] >= A[i])
                    p = mij, dr = mij - 1;
                else
                    st = mij + 1;
            }
            max3 = max (max3 , min(A[i],A[k]) * (k - i));
            max3 = max (max3 , min(A[i],A[p]) * (i - p));
        }
        fout << max3 << endl;
    }
    /// bulaneala O(n) - 50puncte
    if(false)
    {
        int max2 = -1;
        int i = 1, j = n;
        while(i < j)
        {
            int i1 = i, j1= j;
            i ++;
            while(i < j && A[i] < A[i1])
                i ++;
            j --;
            while(i < j && A[j] < A[j1])
                j --;
            max2 = max(max2 , F(i1, j1, A));
            max2 = max(max2 , F(i1, j, A));
            max2 = max(max2 , F(i, j1, A));
            max2 = max(max2 , F(i, j,  A));
        }
        fout << max2 << endl;
    }
    /// bulaneala O(n) - 0 puncte
    if(false)
    {
        int imax1 = 1, imax2 = 1;
        for(int i = 1 ; i <= n ; i ++)
            if(A[i] > A[imax1])
                imax2 = imax1, imax1 = i;
            else
            if(A[i] > A[imax2])
                imax2 = i;
        if(imax1 > imax2)
            swap(imax1 , imax2);
        fout << F(imax1, imax2, A);
    }
    /// bulaneala O(1) - 0 puncte
    if(false)
    {
        int imax1 = 1, imax2 = n;

        fout << F(imax1, imax2, A);
    }
    /// bulaneala O(N + MAX) MAX = valoarea maxima din A[] - 70 puncte
    if(true)
    {
        int S[1001] = {0}, D[1001] = {0};
        for(int i = 1 ; i <= n ; i ++)
        {
            if(S[A[i]] == 0)
                S[A[i]] = i;
            D[A[i]] = i;
        }
        int max = -1;
        for(int i = 1 ; i <= 1000 ; i ++)
            if(i * (D[i] - S[i]) > max)
                max = i * (D[i] - S[i]);
        fout << max << endl;


    }
    return 0;
}